public class GGT
{
	public static void main(String[]args)
	{
		long zahl=487621;
		long i=1;
		while(i<zahl)
		{
			if (zahl%i==0)
			{
				System.out.println(i+"      "+zahl/i);
			}
			i++;
		}
	}
}